package echo

import (
	"git.lxtend.com/qqbot/handler"
	"git.lxtend.com/qqbot/model"
)

func init() {
	handler.RegisterHandler("echo", echo)
}

func echo(msg model.Message) (reply model.Reply) {
	if len(msg.RawMsg) <= 5 {
		return model.Reply{}
	}
	return model.Reply{
		ReplyMsg:       msg.RawMsg[5:],
		ReferOriginMsg: true,
		FromMsg:        msg,
	}
}
